﻿using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 캡처 변경시 윈도우
    /// </summary>
    public class CaptureChangedWindow : NativeWindow
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 캡처 변경시 대리자
        /// </summary>
        public CaptureChangedDelegate CaptureChanged;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 윈도우 프로시저 처리하기 - WndProc(message)

        /// <summary>
        /// 윈도우 프로시저 처리하기
        /// </summary>
        /// <param name="message">메시지</param>
        protected override void WndProc(ref Message message)
        {
            if(message.Msg == 533) // WM_CAPTURECHANGED
            {
                CaptureChanged();
            }

            base.WndProc(ref message);
        }

        #endregion
    }
}